Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Deprecate git+git@ form of VCS requirements #7543

Merged
merged 3 commits into from Jan 8, 2020

Conversation

@sbidoul
Copy link
Member

sbidoul commented Jan 2, 2020

See #6293, #2038

The git+git@ form of VCS pseudo-URL seems to be supported for editable installs only. Everywhere else, proper URLs are required.

This might be accidental and due to a less strict VCS URL detection mechanism for editable installs.

Since this creates bugs (in pip freeze) and confusion, let's progressively require proper URLs for editable installs too.

I propose a 1 year deprecation period.

@sbidoul sbidoul changed the title Deprecate git+git@ form of VCS url Deprecate git+git@ form of VCS requirements Jan 2, 2020
@sbidoul sbidoul force-pushed the sbidoul:deprecate-gitgitarobase-sbi branch 2 times, most recently from 806bfa2 to b84c4f1 Jan 2, 2020
news/7543.removal Outdated Show resolved Hide resolved
src/pip/_internal/req/req_install.py Outdated Show resolved Hide resolved
sbidoul added 2 commits Jan 4, 2020
in the deprecation message
@sbidoul sbidoul added this to the 20.0 milestone Jan 5, 2020
@chrahunt chrahunt merged commit eeeecbe into pypa:master Jan 8, 2020
30 checks passed
30 checks passed
🤖 (ubuntu-18.04, docs)
Details
🤖 (ubuntu-18.04, lint)
Details
🤖 (windows-latest, docs)
Details
🤖 (windows-latest, lint)
Details
🤖 (macos-latest, docs)
Details
🤖 (macos-latest, lint)
Details
Linux Build #20200104.1 succeeded
Details
Linux (Package) Package succeeded
Details
Linux (Test Primary Python27) Test Primary Python27 succeeded
Details
Linux (Test Primary Python36) Test Primary Python36 succeeded
Details
Linux (Test Secondary Python35) Test Secondary Python35 succeeded
Details
Linux (Test Secondary Python37) Test Secondary Python37 succeeded
Details
Windows Build #20200104.1 succeeded
Details
Windows (Package) Package succeeded
Details
Windows (Test Primary Python27-x86) Test Primary Python27-x86 succeeded
Details
Windows (Test Primary Python35-x64) Test Primary Python35-x64 succeeded
Details
Windows (Test Primary Python37-x64) Test Primary Python37-x64 succeeded
Details
Windows (Test Secondary Python35-x86) Test Secondary Python35-x86 succeeded
Details
Windows (Test Secondary Python36-x86) Test Secondary Python36-x86 succeeded
Details
Windows (Test Secondary Python37-x86) Test Secondary Python37-x86 succeeded
Details
continuous-documentation/read-the-docs Read the Docs build succeeded!
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
macOS Build #20200104.1 succeeded
Details
macOS (Package) Package succeeded
Details
macOS (Test Primary Python27) Test Primary Python27 succeeded
Details
macOS (Test Primary Python36) Test Primary Python36 succeeded
Details
macOS (Test Secondary Python35) Test Secondary Python35 succeeded
Details
macOS (Test Secondary Python37) Test Secondary Python37 succeeded
Details
news-file/pr News files updated and/or change is trivial.
Details
@chrahunt

This comment has been minimized.

Copy link
Member

chrahunt commented Jan 8, 2020

It looks like all feedback has been resolved, so I will merge this.

Thank you @sbidoul

@sbidoul sbidoul deleted the sbidoul:deprecate-gitgitarobase-sbi branch Jan 8, 2020
ulf1 added a commit to kmedian/template_pypi that referenced this pull request Jan 23, 2020
private git repo installs need to comply with VCS pypa/pip#7543
@lock lock bot added the S: auto-locked label Feb 8, 2020
@lock lock bot locked as resolved and limited conversation to collaborators Feb 8, 2020
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

5 participants
You can’t perform that action at this time.